Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.ui.about
Class ProjectInfo

    java.lang.Object
      org.jfree.base.Library
          org.jfree.base.BasicProjectInfo
              org.jfree.base.BootableProjectInfo
                  org.jfree.ui.about.ProjectInfo

Direct Known Subclasses:
  JCommonInfo, JCommonXMLInfo

    public class ProjectInfo

extends BootableProjectInfo

A class for recording the basic information about a free or open source software project.

Author:
  David Gilbert

Constructor Summary
`ProjectInfo()` Constructs an empty project info object.
`ProjectInfo(java.lang.String name, java.lang.String version, java.lang.String info, java.awt.Image logo, java.lang.String copyright, java.lang.String licenceName, java.lang.String licenceText)` Constructs a project info object.

Method Summary
`java.util.List` | `getContributors()` Returns the list of contributors for the project.
`java.lang.String` | `getLicenceText()` Returns the licence text.
`java.awt.Image` | `getLogo()` Returns the logo.
`void` | `setContributors(java.util.List contributors)` Sets the list of contributors.
`void` | `setLicenceText(java.lang.String licenceText)` Sets the project licence text.
`void` | `setLogo(java.awt.Image logo)` Sets the project logo.
`java.lang.String` | `toString()` Returns a string describing the project.

Methods inherited from class org.jfree.base.BootableProjectInfo
`addDependency, getBootClass, getDependencies, isAutoBoot, setAutoBoot, setBootClass`

Methods inherited from class org.jfree.base.BasicProjectInfo
`addLibrary, addOptionalLibrary, addOptionalLibrary, getCopyright, getLibraries, getOptionalLibraries, setCopyright, setInfo, setLicenceName, setName, setVersion`

Methods inherited from class org.jfree.base.Library
`equals, getInfo, getLicenceName, getName, getVersion, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProjectInfo

    public ProjectInfo()

  Constructs an empty project info object.

### ProjectInfo

    public ProjectInfo(java.lang.String name,
                       java.lang.String version,
                       java.lang.String info,
                       java.awt.Image logo,
                       java.lang.String copyright,
                       java.lang.String licenceName,
                       java.lang.String licenceText)

  Constructs a project info object.

  Parameters:
    `name` - the name of the project.
    `version` - the version.
    `info` - other info (usually a URL).
    `logo` - the project logo.
    `copyright` - a copyright statement.
    `licenceName` - the name of the licence that applies to the project.
    `licenceText` - the text of the licence that applies to the project.

Method Detail

### getLogo

    public java.awt.Image getLogo()

  Returns the logo.

  Returns:
    the project logo.

### setLogo

    public void setLogo(java.awt.Image logo)

  Sets the project logo.

  Parameters:
    `logo` - the project logo.

### getLicenceText

    public java.lang.String getLicenceText()

  Returns the licence text.

  Returns:
    the licence text.

### setLicenceText

    public void setLicenceText(java.lang.String licenceText)

  Sets the project licence text.

  Parameters:
    `licenceText` - the licence text.

### getContributors

    public java.util.List getContributors()

  Returns the list of contributors for the project.

  Returns:
    the list of contributors.

### setContributors

    public void setContributors(java.util.List contributors)

  Sets the list of contributors.

  Parameters:
    `contributors` - the list of contributors.

### toString

    public java.lang.String toString()

  Returns a string describing the project.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string describing the project.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD